import { GraphSpec, GraphSpecs, Specs } from '../types';
import { Dict } from '../types/Dict';
import { GraphBundle, GraphClass } from '../types/GraphClass';
export declare function extractGraphSpecs(spec: GraphSpec, specs: Specs): GraphSpecs;
export declare function fromSpec<I extends Dict<any> = any, O extends Dict<any> = any>(spec: GraphSpec, _specs: Specs, branch?: {
    [path: string]: true;
}): GraphBundle<I, O>;
export declare function _fromSpec<I, O>(spec: GraphSpec, specs: Specs, branch?: {
    [path: string]: true;
}): GraphClass<I, O>;
export declare function __fromSpec<I, O>(spec: GraphSpec, branch?: {
    [path: string]: true;
}): GraphClass<I, O>;
